// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '/image/adimges.jpg',
    src1: '/image/head1.png',
    frameStyle: { useTop: false, name: '团队详情', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    //团队详情
    list: [],
    ids: ''
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  //退出团队
  outTeam: function (e) {
    var id = this.data.list._id;
    var id1 = res.data.id;
    wx.showModal({
      title: '是否退出团队',
      success(res) {
        if (res.confirm) {
          wx.request({
            url: `${app.globalData.publicUrl}/courtAdmin/api/team/leaves`, 
            method: "get",
            data: { user_id: id1, team_id: id },
            header: {},
            success: res => {
              return wx.redirectTo({ url: '/pages/me/index' })
            },
            error: err => {
            }
          })

        } else if (res.cancel) {
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    this.setData({ ids: options.id })
    // 监听用户是否登录
    this.watchLogin();

  },
  // 监听用户是否登录
  watchLogin: function () {
    const that = this;
    let id = that.data.ids
    wx.getStorage({
      key: 'token',
      success: res => {
        wx.request({
          url: `${app.globalData.publicUrl}/courtAdmin/api/team/` + id,
          method: 'get',
          data: '',
          success(res) {
            that.setData({ list: res.data.data });
          }
        })
      },
      fail: res => {
        return wx.redirectTo({ url: '/pages/login/index', })
      }
    })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 是否去掉状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})